require 'uu/os/rest/dto'


# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Permission.
    module Permission
      # @see Permission#authorize
      class PermissionAuthorize < UU::OS::REST::DTO

        # @see Permission#authorize
        attr_accessor :use_case_code
        
        def use_case_code
          attributes[:useCaseCode]
        end

        def use_case_code=(val)
          attributes[:useCaseCode] = val
        end

      end
    end
  end
end
