require 'uu/os/rest/dto'

module UU
  module OS
      module PropertyTemplate
        # @see PropertyTemplate#set_attributes
        class PropertyTemplateSetAttributes < UU::OS::REST::DTO

          # @see PropertyTemplate#set_attributes
          attr_accessor :name

          # @see PropertyTemplate#set_attributes
          attr_accessor :code

          # @see PropertyTemplate#set_attributes
          attr_accessor :description
          
          # @see PropertyTemplate#set_attributes
          attr_accessor :value_restriction          
         
          def name 
            attributes[:name]
          end

          def name=(val) 
            attributes[:name] = val
          end

          def code 
            attributes[:code]
          end

          def code=(val) 
            attributes[:code] = val
          end

          def description 
            attributes[:description]
          end

          def description=(val) 
            attributes[:description] = val
          end
          
          def value_restriction 
            attributes[:valueRestriction]
          end

          def value_restriction=(val) 
            attributes[:valueRestriction] = val
          end
          
        end

      end
    end

end
