require 'uu/os/rest/dto'

module UU
  module OS
    module UseCaseRealization
      # @deprecated Use {UU::OS::VisualUseCase::VisualUseCaseGetOptions} instead.
      class UseCaseRealizationGetOptions < UU::OS::REST::DTO

        # Data for use case options. Only JSON ("application/json") format is accepted.
        attr_accessor :requested_mime_type
        def requested_mime_type
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val)
          attributes[:requestedMimeType] = val
        end

      end
    end

  end
end
