require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Application Deployment Kit.
  module OS
    # Module Visual Use Case.
    module VisualUseCase
      # @see VisualUseCase#set_options
      class VisualUseCaseSetOptions < UU::OS::REST::DTO

        # @see VisualUseCase#set_options
        attr_accessor :data
        def data
          attributes[:data]
        end

        def data=(val)
          if val
            attributes[:data] = UU::OS::REST::BinaryValue.new(val)
          else
            attributes[:data] = nil
          end
        end

      end
    end

  end
end
